[arch-commits] Commit in streamtuner/repos (4 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Mon Sep 29 17:53:27 UTC 2008


    Date: Monday, September 29, 2008 @ 13:53:27
  Author: andyrtr
Revision: 13912

Merged revisions 1302,13911 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/streamtuner/trunk

........
  r1302 | andyrtr | 2008-05-04 17:55:54 +0000 (So, 04 Mai 2008) | 1 line
  
  add missing patch
........
  r13911 | andyrtr | 2008-09-29 17:52:22 +0000 (Mo, 29 Sep 2008) | 2 lines
  
  upgpkg: streamtuner 0.99.99-9
      fix #11463
........

Added:
  streamtuner/repos/extra-x86_64/shoutcast-redesign-patch.diff
    (from rev 13911, streamtuner/trunk/shoutcast-redesign-patch.diff)
  streamtuner/repos/extra-x86_64/streamtuner-0.99.99-shoutcast.diff
    (from rev 13911, streamtuner/trunk/streamtuner-0.99.99-shoutcast.diff)
Modified:
  streamtuner/repos/extra-x86_64/	(properties)
  streamtuner/repos/extra-x86_64/PKGBUILD

------------------------------------+
 PKGBUILD                           |   25 +++++++++++----------
 shoutcast-redesign-patch.diff      |   12 ++++++++++
 streamtuner-0.99.99-shoutcast.diff |   41 +++++++++++++++++++++++++++++++++++
 3 files changed, 67 insertions(+), 11 deletions(-)


Property changes on: streamtuner/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /streamtuner/trunk:1-1300
   + /streamtuner/trunk:1-13911

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-09-29 17:52:22 UTC (rev 13911)
+++ extra-x86_64/PKGBUILD	2008-09-29 17:53:27 UTC (rev 13912)
@@ -1,10 +1,10 @@
 # $Id$
 # Contributor: Greg Grabinski <greg at grabinski.ch>
-# Maintainer: dorphell <dorphell at archlinux.org>
+# Maintainer: ndreas Radke <andyrtr at archlinux.org>
 
 pkgname=streamtuner
 pkgver=0.99.99
-pkgrel=8
+pkgrel=9
 pkgdesc="A stream directory browser"
 arch=('i686' 'x86_64')
 url="http://www.nongnu.org/streamtuner/"
@@ -15,24 +15,27 @@
 source=(http://savannah.nongnu.org/download/streamtuner/$pkgname-$pkgver.tar.gz \
         http://savannah.nongnu.org/download/streamtuner/streamtuner-0.99.99-live365.diff \
         http://savannah.nongnu.org/download/streamtuner/streamtuner-0.99.99-pygtk-2.6.diff
-	streamtuner-0.99.99-shoutcast.diff)
+	streamtuner-0.99.99-shoutcast.diff
+	shoutcast-redesign-patch.diff)
 options=('!libtool' '!emptydirs')
 md5sums=('2027b7c34e85b594524b0b4351c14362'
          '8aa1994a849b05d2b8fffbda702b8a25'
          '7aff45a41c60358cb2332c7ce644f661'
-         '1eab6edce130e1a1e5f208cd3ed6766a')
+         '1eab6edce130e1a1e5f208cd3ed6766a'
+         '8a3a17a1719a79353d6ad7ac8564947b')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  patch -p0 -i $startdir/src/streamtuner-0.99.99-live365.diff || return 1
-  patch -p0 -i $startdir/src/streamtuner-0.99.99-pygtk-2.6.diff || return 1
+  cd ${srcdir}/${pkgname}-${pkgver}
+  patch -p0 -i ${srcdir}/streamtuner-0.99.99-live365.diff || return 1
+  patch -p0 -i ${srcdir}/streamtuner-0.99.99-pygtk-2.6.diff || return 1
   # fix http://bugs.archlinux.org/task/10308
-  patch -p0 -i $startdir/src/streamtuner-0.99.99-shoutcast.diff || return 1
+  patch -p0 -i ${srcdir}/streamtuner-0.99.99-shoutcast.diff || return 1
+  # fix http://bugs.archlinux.org/task/11463
+  patch -p1 -i ${srcdir}/shoutcast-redesign-patch.diff || return 1
   ./configure --prefix=/usr
   make || return 1
-  make prefix=$startdir/pkg/usr install
+  make prefix=${pkgdir}/usr install
 
   #Add license file
-  install -Dm0644 $startdir/src/$pkgname-$pkgver/COPYING \
-                  $startdir/pkg/usr/share/licenses/$pkgname/COPYING
+  install -Dm0644 ${srcdir}/${pkgname}-${pkgver}/COPYING ${pkgdir}/usr/share/licenses/${pkgname}/COPYING
 }

Copied: streamtuner/repos/extra-x86_64/shoutcast-redesign-patch.diff (from rev 13911, streamtuner/trunk/shoutcast-redesign-patch.diff)
===================================================================
--- extra-x86_64/shoutcast-redesign-patch.diff	                        (rev 0)
+++ extra-x86_64/shoutcast-redesign-patch.diff	2008-09-29 17:53:27 UTC (rev 13912)
@@ -0,0 +1,12 @@
+diff -uar streamtuner-0.99.99-orig/src/plugins/shoutcast/shoutcast.c streamtuner-0.99.99-patched/src/plugins/shoutcast/shoutcast.c
+--- streamtuner-0.99.99-orig/src/plugins/shoutcast/shoutcast.c	2008-09-12 18:04:00.229785732 -0400
++++ streamtuner-0.99.99-patched/src/plugins/shoutcast/shoutcast.c	2008-09-12 18:05:56.716440720 -0400
+@@ -37,7 +37,7 @@
+ 
+ /*** cpp *********************************************************************/
+ 
+-#define SHOUTCAST_ROOT		"http://www.shoutcast.com/"
++#define SHOUTCAST_ROOT		"http://classic.shoutcast.com/"
+ 
+ #define MAX_STREAMS_PER_PAGE	100 /* enforced by SHOUTcast */
+ 

Copied: streamtuner/repos/extra-x86_64/streamtuner-0.99.99-shoutcast.diff (from rev 13911, streamtuner/trunk/streamtuner-0.99.99-shoutcast.diff)
===================================================================
--- extra-x86_64/streamtuner-0.99.99-shoutcast.diff	                        (rev 0)
+++ extra-x86_64/streamtuner-0.99.99-shoutcast.diff	2008-09-29 17:53:27 UTC (rev 13912)
@@ -0,0 +1,41 @@
+--- src/plugins/shoutcast/shoutcast.c.orig	2004-12-19 15:21:00.000000000 +0000
++++ src/plugins/shoutcast/shoutcast.c	2008-03-16 10:39:24.000000000 +0000
+@@ -94,6 +94,8 @@
+ 
+   GNode			*parent_node;
+   SHOUTcastStream	*stream;
++  
++  int parse_genres;
+ } ReloadInfo;
+ 
+ /*** variable declarations ***************************************************/
+@@ -518,6 +520,7 @@
+       info.npages = 0;
+       info.parent_node = NULL;
+       info.stream = NULL;
++      info.parse_genres = 0;
+ 
+       status = st_transfer_session_get_by_line(session,
+ 					       url,
+@@ -565,10 +568,16 @@
+       info->stream = stream_new_cb(NULL);
+       info->stream->url_postfix = st_sgml_ref_expand_len(s1, s2 - s1);
+     }
+-  else if (info->page < 2
+-	   && (((s1 = st_str_has_prefix_span(line, "\t<OPTION VALUE=\""))
+-		|| (s1 = st_str_has_prefix_span(line, "\t\t<OPTION VALUE=\"")))
+-	       && (s2 = strstr(s1, "\">"))))
++  else if (info->page < 2 && (s1 = st_strstr_span(line, "<OPTION VALUE=\"TopTen\">")))
++  {
++  	info->parse_genres = 1;
++  }
++  else if (info->page < 2 && info->parse_genres == 1 && (s1 = st_strstr_span(line, "</SELECT>")))
++  {
++  	info->parse_genres = 0;
++  }
++  else if (info->page < 2 && info->parse_genres == 1
++	   && ((s1 = st_strstr_span(line, "<OPTION VALUE=\""))  && (s2 = strstr(s1, "\">"))))
+     {
+       STCategory *category;
+       GNode *node;
+




More information about the arch-commits mailing list